Page MenuHomePhabricator

Accessibility measurement baselines everyone can apply
Closed, ResolvedPublic

Description

With Global Accessibility Awareness Day yesterday, this is a presentation/hands-on session with interested folks, with two core parts:

  1. presenting useful baseline of dos and dont's for enabling more users to interact with your interface and
  2. looking at product examples together and provide instant feedback.

Come by with your questions, we will work in the group and orient on finding which topics to focus on.
Beginner to advanced knowledge, both welcome.
Time/Location: 16:00-17:00 @ Gallery Hacking Room table #3 in the back

Included covered documentation:

Additional possible working topics aside from above:
Updating above resources with WCAG 2.1 and its 4 principles

Event Timeline

Volker_E created this task.May 14 2019, 5:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2019, 5:21 PM
Volker_E updated the task description. (Show Details)May 14 2019, 8:47 PM
Volker_E renamed this task from Accessibility measurement baselines everyone can apply easily to Accessibility measurement baselines everyone can apply.May 15 2019, 12:55 PM
Volker_E updated the task description. (Show Details)
Quiddity moved this task from Backlog to Sessions on the Wikimedia-Hackathon-2019 board.
Quiddity added a subscriber: Quiddity.
Volker_E updated the task description. (Show Details)May 17 2019, 1:51 PM
Quiddity updated the task description. (Show Details)May 17 2019, 2:03 PM
Volker_E updated the task description. (Show Details)May 17 2019, 2:10 PM
Volker_E added a comment.EditedMay 17 2019, 8:10 PM

Accessibility testing tools: The personal favorite and currently most reliable is deque aXe.

@Volker_E: Did this session take place? If it did, please feel free to create any potential follow-up tasks and set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks a lot!

Quiddity closed this task as Resolved.May 24 2019, 8:30 PM

Yup, this happened! Resolving.
Also, here are the notes that I took for myself during the session:

(more was discussed, but that's all I wrote)

Thanks @Quiddity, that's an excellent summary.
Looking forward to the changes at Catalan Wikipedia homepage. :)

Yay, thanks.
Out of curiosity, is there a wiki page where I could find these recommendations, similar to https://www.mediawiki.org/wiki/Security_for_developers ?

Volker_E updated the task description. (Show Details)May 24 2019, 9:09 PM

@Aklapper Yes, for sure. MediaWiki Accessibility guide for developers (already linked in task description), others and myself have updated it a bit recently. And I'm planning to continuously iterate it with clearer structure over the coming months.